package com.cloudcross.ssp.back.service;


import java.util.List;
import java.util.Map;
import com.cloudcross.ssp.back.model.AdGroup;
import com.cloudcross.ssp.base.service.IGenericService;




/**
 * 投放服务接口定义
 * @author chenyou
 *
 */
public interface IAdGroupService extends IGenericService<AdGroup> {
	//更具活动id得到它有几个投放
	List<AdGroup> findByCampaignId(Long campaignId);
	
	/**
	 * 新增投放信息
	 * @param adGroup
	 * @param targetParamsMap
	 * @return 
	 */
	boolean save(AdGroup adGroup, Map<String, Object> targetParamsMap);
	
	/**
	 * 编辑投放信息
	 * @param adGroup
	 * @param targetParamsMap
	 * @return
	 */
	boolean edit(AdGroup adGroup,Map<String, Object> targetParamsMap);
	public void front2dbplace(String str,AdGroup adGroup);
	boolean updatedAdgroupSupdated(Long id);
	public Map findAreas(Long adGroupId);
	
}
